org.eclipse.mat.ui.internal.viewer

## Class RefinedTreeViewer.TreeAdapter

- java.lang.Object
- - org.eclipse.mat.ui.internal.viewer.RefinedTreeViewer.TreeAdapter

Enclosing class:
  RefinedTreeViewer

    public class RefinedTreeViewer.TreeAdapter
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TreeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(org.eclipse.swt.widgets.Item item, org.eclipse.swt.graphics.Font font)`
`void` `apply(org.eclipse.swt.widgets.Item item, int index, String label)`
`void` `apply(org.eclipse.swt.widgets.Item item, int index, String label, org.eclipse.swt.graphics.Color color, org.eclipse.swt.graphics.Font font)`
`org.eclipse.swt.widgets.Item` `createColumn(Column queryColumn, int index, org.eclipse.swt.events.SelectionListener listener)`
`org.eclipse.swt.widgets.Composite` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.custom.ControlEditor` `createEditor()`
`org.eclipse.swt.graphics.Rectangle` `getBounds(org.eclipse.swt.widgets.Item item, int index)`
`int[]` `getColumnOrder()`
`int` `getColumnWidth(int col)`
`org.eclipse.swt.graphics.Font` `getFont()`
`org.eclipse.swt.graphics.Rectangle` `getImageBounds(org.eclipse.swt.widgets.Item item, int index)`
`org.eclipse.swt.widgets.Item` `getItem(org.eclipse.swt.widgets.Item item, int index)`
`org.eclipse.swt.widgets.Item` `getItem(org.eclipse.swt.graphics.Point pt)`
`int` `getItemCount(org.eclipse.swt.widgets.Item item)`
`int` `getLineHeightEstimation()`
`org.eclipse.swt.widgets.Item` `getParentItem(org.eclipse.swt.widgets.Item item)`
`org.eclipse.swt.widgets.Item[]` `getSelection()`
`org.eclipse.swt.widgets.Item` `getSortColumn()`
`int` `getSortDirection()`
`org.eclipse.swt.graphics.Rectangle` `getTextBounds(org.eclipse.swt.widgets.Widget item, int index)`
`int` `indexOf(org.eclipse.swt.widgets.Item item)`
`void` `setColumnOrder(int[] order)`
`void` `setColumnWidth(int col, int width)`
`void` `setEditor(org.eclipse.swt.widgets.Composite composite, org.eclipse.swt.widgets.Item item, int columnIndex)`
`void` `setExpanded(org.eclipse.swt.widgets.Item item, boolean expanded)`
`void` `setItemCount(org.eclipse.swt.widgets.Item item, int count)`
`void` `setSortColumn(org.eclipse.swt.widgets.Item column)`
`void` `setSortDirection(int direction)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeAdapter

    public TreeAdapter()

### Method Detail

#### createControl

    public org.eclipse.swt.widgets.Composite createControl(org.eclipse.swt.widgets.Composite parent)

#### createEditor

    public org.eclipse.swt.custom.ControlEditor createEditor()

#### getItem

    public org.eclipse.swt.widgets.Item getItem(org.eclipse.swt.widgets.Item item,
                                                int index)

#### setExpanded

    public void setExpanded(org.eclipse.swt.widgets.Item item,
                            boolean expanded)

#### setItemCount

    public void setItemCount(org.eclipse.swt.widgets.Item item,
                             int count)

#### getItem

    public org.eclipse.swt.widgets.Item getItem(org.eclipse.swt.graphics.Point pt)

#### setEditor

    public void setEditor(org.eclipse.swt.widgets.Composite composite,
                          org.eclipse.swt.widgets.Item item,
                          int columnIndex)

#### getParentItem

    public org.eclipse.swt.widgets.Item getParentItem(org.eclipse.swt.widgets.Item item)

#### getSelection

    public org.eclipse.swt.widgets.Item[] getSelection()

#### createColumn

    public org.eclipse.swt.widgets.Item createColumn(Column queryColumn,
                                                     int index,
                                                     org.eclipse.swt.events.SelectionListener listener)

#### getFont

    public org.eclipse.swt.graphics.Font getFont()

#### getSortColumn

    public org.eclipse.swt.widgets.Item getSortColumn()

#### getSortDirection

    public int getSortDirection()

#### setSortColumn

    public void setSortColumn(org.eclipse.swt.widgets.Item column)

#### setSortDirection

    public void setSortDirection(int direction)

#### getItemCount

    public int getItemCount(org.eclipse.swt.widgets.Item item)

#### indexOf

    public int indexOf(org.eclipse.swt.widgets.Item item)

#### getBounds

    public org.eclipse.swt.graphics.Rectangle getBounds(org.eclipse.swt.widgets.Item item,
                                                        int index)

#### getTextBounds

    public org.eclipse.swt.graphics.Rectangle getTextBounds(org.eclipse.swt.widgets.Widget item,
                                                            int index)

#### getImageBounds

    public org.eclipse.swt.graphics.Rectangle getImageBounds(org.eclipse.swt.widgets.Item item,
                                                             int index)

#### apply

    public void apply(org.eclipse.swt.widgets.Item item,
                      int index,
                      String label,
                      org.eclipse.swt.graphics.Color color,
                      org.eclipse.swt.graphics.Font font)

#### apply

    public void apply(org.eclipse.swt.widgets.Item item,
                      org.eclipse.swt.graphics.Font font)

#### apply

    public void apply(org.eclipse.swt.widgets.Item item,
                      int index,
                      String label)

#### getLineHeightEstimation

    public int getLineHeightEstimation()

#### getColumnOrder

    public int[] getColumnOrder()

#### setColumnOrder

    public void setColumnOrder(int[] order)

#### getColumnWidth

    public int getColumnWidth(int col)

#### setColumnWidth

    public void setColumnWidth(int col,
                               int width)